/*
* Copyright (C) 2014 Andrew Reid and the ModelGUI Project <http://mgui.wikidot.com>
* 
* This file is part of ModelGUI[core] (mgui-core).
* 
* ModelGUI[core] is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ModelGUI[core] is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with ModelGUI[core]. If not, see <http://www.gnu.org/licenses/>.
*/

package mgui.datasources;

import java.util.EventObject;

/*************************************************************
 * Event on a data field
 * 
 * @author Andrew Reid
 * @version 1.0
 * @since 1.0
 *
 */
public class DataFieldEvent extends EventObject {

	public enum EventCode{
		PrimaryKeyChanged,
		UniqueChanged,
		RequiredChanged,
		NameChanged,
		DataTypeChanged,
		LengthChanged;
	}
	
	public EventCode event_code;
	
	public DataFieldEvent(DataField field, EventCode event_code){
		super(field);
		this.event_code = event_code;
	}
	
	
}